@import "styleguide/breakpoints";

.mobile-container {
  padding-left: 45px;
  padding-right: 45px;
  margin: 0;
}

.disabled-link {
  pointer-events: none;
}

.pool-page {
  height: 100%;
}

.page {
  display: flex;
  flex-direction: column;
  padding-left: 0;
  padding-right: 0;
  flex: 1;

  &__left-content {
    background-color: var(--dark-slate-blue);
    border-right: solid 1px var(--dark-green-blue);
    padding: 0;

    @media (min-width: 991px) {
      height: 100%;
    }

    .mobile-menu-content {
      display: none;
      font-size: 28px;
      padding: 20px;

      @media (max-width: 991px) {
        display: flex;
        height: auto;
      }

      &-btn {
        cursor: pointer;
        color: var(--light);
      }
    }

    .overlay {
      height: 100%;
      width: 0;
      position: fixed;
      z-index: 2;
      top: 0;
      left: 0;
      overflow-x: hidden;
      background-color: var(--dark-slate-blue);
      transition: 0.5s;
      border: solid 1px var(--dark-green-blue);

      .menu-header {
        display: flex;
        flex-direction: row;
        justify-content: space-between;
        align-items: center;
        padding: 1rem 2.2rem 0.5rem;
      }

      @media (min-width: 991px) {
        display: none;
      }
    }

    .overlay-content {
      width: 100%;
    }

    .closebtn {
      cursor: pointer;
      color: var(--light);
    }

    .overlay .closebtn {
      top: 20px;
      right: 45px;
      font-size: 60px;
    }

    @media (max-width: $breakpoint-lg) {
      border-bottom: solid 1px var(--dark-green-blue);
    }

    &-wrapper {
      display: flex;
      height: 100%;
    }

    &-title {
      font-size: 15px;
      font-weight: 300;
      padding: 2rem 2.2rem 0.5rem;

      @media (max-width: 991px) {
        padding: 0 0 0.5rem 2.2rem;
      }
    }

    &-partner {
      margin: 0;
      font-size: 20px;
      font-weight: 500;
      text-decoration: none;
      padding: 0.5rem 2.2rem;
      display: block;
      color: var(--green);
    }

    &-pools a {
      font-size: 18px;
      font-weight: 300;
      text-decoration: none;
      padding: 0.5rem 2.2rem;
      display: block;
      border-left: solid 8px transparent;
    }

    &-links {
      border-top: solid 1px var(--dark-green-blue);
      padding: 2.2rem;
      padding-left: calc(2.2rem + 8px);

      @media (max-width: 991px) {
        padding-bottom: 5rem;
      }

      a {
        display: block;
        text-decoration: none;
        margin-bottom: 1rem;
      }
    }
  }

  &__right-content {
    padding: 1.4rem;
  }
}
